Subject: bug#47287: 28.0.50; [PATCH] Add command project-remove-known-project

From: Theodor Thornhill <[email-masked]>
Date: Sun, 21 Mar 2021 07:33:28 +0100

>> This patch adds an interactive command 'project-remove-known-project',
>> that lets the user interactively remove a project from the project
>> list.  My usecase is that sometimes when a directory is moved, the
>> project isn't deleted from the list.
> 
> What if we added an "inventorization" step in project--ensure-read-project-list? After having the list read, it could remove entries that do not exist anymore (and, if the list has been modified in this procedure, call project--write-project-list).
> 
> This should take care of moved directories, at least once per Emacs session.
> 

Yeah, we could! However, there is one more use case: at work we have lot of repos, some I touch every day, some once in a blue moon. I do not want them cluttering the project-list, so I would rather delete them, and have them  automatically appear for periods where I actually use them. Same with other FOSS projects I only ocasionally contribute to. These are directories I usually dont delete from my drive. 

>> This command is modelled after the already present
>> 'project--remove-from-project-list', but that function isn't
>> interactive, and also has a specific purpose.
> 
> I don't know about a binding, but certainly it's not for project-switch-commands.

Agreed :)

—
Theo